Bug 217700 - devel/buildbot: Update to 0.9.4, restructure ports, claim maintainership
Summary: devel/buildbot: Update to 0.9.4, restructure ports, claim maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Gmelin
URL:
Keywords:
: 215936 (view as bug list)
Depends on: 215929 215930 217696 217698 217699
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-11 10:35 UTC by Michael Gmelin
Modified: 2017-03-31 12:35 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Update to 0.9.4 and restructure the buildbot* group of ports (25.33 KB, patch)
2017-03-11 10:35 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin freebsd_committer 2017-03-11 10:35:09 UTC
Created attachment 180721 [details]
Update to 0.9.4 and restructure the buildbot* group of ports

The upstream project changed the structure quite a bit, so besides updating, this will:
 - delete the buildbot-slave port
 - add the following new ports:
   + buildbot-console-view
   + buildbot-pkg
   + buildbot-waterfall-view
   + buildbot-worker
   + buildbot-www

Note that buildbot-0.8x in ports didn't work properly for quite a while now.
This needs a MOVED entry (buildbot-slave => buildbot-worker).

This update also claims maintainership of devel/buildbot, if koobs@ wants to keep it I'm totally happy with that, but would ask him to take maintainership of all buildbot* ports in that case (separating doesn't seem to make much sense).
Comment 1 Michael Gmelin freebsd_committer 2017-03-11 10:36:56 UTC
*** Bug 215936 has been marked as a duplicate of this bug. ***
Comment 2 commit-hook freebsd_committer 2017-03-27 16:48:18 UTC
A commit references this bug:

Author: grembo
Date: Mon Mar 27 16:47:58 UTC 2017
New revision: 437059
URL: https://svnweb.freebsd.org/changeset/ports/437059

Log:
  Rename buildbot-slave to buildbot-worker, update to 0.9.4

  Also take maintainership. If interested, the original maintainer
  is welcome to take it back.

  PR:		217700
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/buildbot-slave/
  head/devel/buildbot-worker/
  head/devel/buildbot-worker/Makefile
  head/devel/buildbot-worker/distinfo
  head/devel/buildbot-worker/files/
  head/devel/buildbot-worker/files/buildbot-worker.in
  head/devel/buildbot-worker/files/patch-setup.py
  head/devel/buildbot-worker/pkg-descr
Comment 3 commit-hook freebsd_committer 2017-03-27 16:53:24 UTC
A commit references this bug:

Author: grembo
Date: Mon Mar 27 16:53:17 UTC 2017
New revision: 437060
URL: https://svnweb.freebsd.org/changeset/ports/437060

Log:
  Update to 0.9.4

  This patches the sample configuration, so buildbot won't phone home by
  default.

  Also take maintainership. If interested, the original maintainer
  is welcome to take it back.

  PR:		217700
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/devel/buildbot/Makefile
  head/devel/buildbot/distinfo
  head/devel/buildbot/files/
  head/devel/buildbot/files/patch-buildbot-scripts-sample.cfg
Comment 4 commit-hook freebsd_committer 2017-03-27 18:12:33 UTC
A commit references this bug:

Author: grembo
Date: Mon Mar 27 18:12:25 UTC 2017
New revision: 437065
URL: https://svnweb.freebsd.org/changeset/ports/437065

Log:
  Add buildbot-pkg 0.9.4, continuous Integration Framework (packaging).

  PR:		217700
  Submitted by:	Michael Gmelin <grembo@FreeBSD.org>

Changes:
  head/devel/Makefile
  head/devel/buildbot-pkg/
  head/devel/buildbot-pkg/Makefile
  head/devel/buildbot-pkg/distinfo
  head/devel/buildbot-pkg/pkg-descr
Comment 5 commit-hook freebsd_committer 2017-03-27 18:16:39 UTC
A commit references this bug:

Author: grembo
Date: Mon Mar 27 18:15:54 UTC 2017
New revision: 437066
URL: https://svnweb.freebsd.org/changeset/ports/437066

Log:
  Add buildbot-console-view 0.9.4, continuous Integration Framework
  (Console View).

  PR:		217700
  Submitted by:	Michael Gmelin <grembo@FreeBSD.org>

Changes:
  head/devel/Makefile
  head/devel/buildbot-console-view/
  head/devel/buildbot-console-view/Makefile
  head/devel/buildbot-console-view/distinfo
  head/devel/buildbot-console-view/pkg-descr
Comment 6 commit-hook freebsd_committer 2017-03-27 18:18:42 UTC
A commit references this bug:

Author: grembo
Date: Mon Mar 27 18:17:43 UTC 2017
New revision: 437067
URL: https://svnweb.freebsd.org/changeset/ports/437067

Log:
  Add buildbot-waterfall-view 0.9.4, continuous Integration Framework
  (Waterfall View).

  PR:		217700
  Submitted by:	Michael Gmelin <grembo@FreeBSD.org>

Changes:
  head/devel/Makefile
  head/devel/buildbot-waterfall-view/
  head/devel/buildbot-waterfall-view/Makefile
  head/devel/buildbot-waterfall-view/distinfo
  head/devel/buildbot-waterfall-view/pkg-descr
Comment 7 commit-hook freebsd_committer 2017-03-27 18:18:44 UTC
A commit references this bug:

Author: grembo
Date: Mon Mar 27 18:18:27 UTC 2017
New revision: 437068
URL: https://svnweb.freebsd.org/changeset/ports/437068

Log:
  Add buildbot-www 0.9.4, continuous Integration Framework (WWW).

  PR:		217700
  Submitted by:	Michael Gmelin <grembo@FreeBSD.org>

Changes:
  head/devel/Makefile
  head/devel/buildbot-www/
  head/devel/buildbot-www/Makefile
  head/devel/buildbot-www/distinfo
  head/devel/buildbot-www/pkg-descr
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2017-03-31 12:35:52 UTC
Assign to committer that resolved. Thanks Michael!